# XmppRosterItem class

Annotations
  - @immutable

## Constructors

XmppRosterItem ({required String jid, required String subscription, String? ask, String? name, List <String> groups = const []})
  const

## Properties

ask → String?
  final
groups → List <String>
  final
hashCode → int
  The hash code for this object.
  no setteroverride
jid → String
  final
name → String?
  final
runtimeType → Type
  A representation of the runtime type of the object.
  no setterinherited
subscription → String
  final

## Methods

noSuchMethod (Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString () → String
  A string representation of this object.
  override

## Operators

operator == (Object other) → bool
  The equality operator.
  override